%define name vino
%define version 2.28.3
%define subrel 1
%define release %mkrel 1

Summary: GNOME VNC server and client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/vino/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Networking/Remote access
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnutls-devel
BuildRequires: libsoup-devel
BuildRequires: libnotify-devel
BuildRequires: unique-devel
BuildRequires: intltool
BuildRequires: libxtst-devel
BuildRequires: libxdamage-devel
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: libtelepathy-glib-devel
BuildRequires: libgnome-keyring-devel

%description
The package contains an integrated GNOME VNC server.

%prep
%setup -q

%build
%configure2_5x \
  --enable-avahi \
  --enable-telepathy \
  --enable-gnome-keyring \
  --disable-http-server		\
  --enable-libnotify 		\
  --disable-network-manager


#gw add missing libs, parallel make is broken in 2.27.5
make LIBS="-lSM -ljpeg"

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null
fi

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%_sysconfdir/gconf/schemas/vino-server.schemas
%_sysconfdir/xdg/autostart/vino-server.desktop
%_bindir/vino-passwd
%_bindir/vino-preferences
%_libexecdir/vino-server
%_datadir/vino
%_datadir/applications/vino-preferences.desktop
%_datadir/dbus-1/services/org.gnome.Vino.service



%changelog
* Mon May 16 2011 Oden Eriksson <oeriksson@mandriva.com> 2.28.3-1.1mdv2010.2
- 2.28.3 (fixes CVE-2011-0904, CVE-2011-0905)

* Tue May 03 2011 Götz Waschk <waschk@mandriva.org> 2.28.3-1mdv2010.1
+ Revision: 663875
- new version to avoid out-of-bounds memory accesses

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 529680
- update to new version 2.28.2

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2.28.1-2mdv2010.1
+ Revision: 489479
- fix BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against libjpeg v8

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458698
- Release 2.28.1

* Tue Sep 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-2mdv2010.0
+ Revision: 447423
- Enable telepathy and gnome-keyring support

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446598
- update to new version 2.28.0

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432576
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421048
- update to new version 2.27.91

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.27.90-2mdv2010.0
+ Revision: 416665
- rebuilt against libjpeg v7

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414960
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401435
- new version
- drop patch 0
- fix build
- update file list

  + Funda Wang <fwang@mandriva.org>
    - build with latest gnutls 2.8

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377375
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366963
- update to new version 2.26.1

* Tue Mar 17 2009 Funda Wang <fwang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356455
- New version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347304
- update to new version 2.25.92

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341029
- new version
- update file list

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336490
- update to new version 2.25.90

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-2mdv2009.1
+ Revision: 332508
- build with libunique

* Wed Jan 21 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 332330
- update build deps
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325334
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315814
- update to new version 2.25.3

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295725
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286840
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282770
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278498
- new version
- update file list

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273562
- new version
- update file list

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240777
- new version
- update buildrequires
- update file list

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211683
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192462
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183517
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 174799
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165243
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159353
- new version
- new version

  + Funda Wang <fwang@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108390
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103011
- new version
- drop patch
- drop session management support
- enable libnotify support

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98455
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89053
- new version

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 78383
- new version
- fix desktop entry

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63294
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50682
- new version
- update file list

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14052
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141741
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126025
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106353
- new version
- fix buildrequires

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99060
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87901
- bot rebuild
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-3mdv2006.0
+ Revision: 63759
- rebuild
- fix menu category
- Import vino

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-6mdv2007.0
- Rebuild with latest dbus

* Sat Jul 01 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2007.0
- Rebuild

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-4mdk
- Rebuild with latest dbus

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 2.13.5-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 2.13.5-2mdk
- enable avahi

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5
- use mkrel

* Wed Sep 07 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Tue Aug 23 2005 Götz Waschk <waschk@mandriva.org> 2.11.92-1mdk
- New release 2.11.92

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- New release 2.11.90

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1.2-1mdk
- New release 2.11.1.2

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1.1-1mdk
- New release 2.11.1.1

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0
- update file list

* Thu Oct 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Thu Sep 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.0.1-1mdk
- New release 2.8.0.1

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- reenable session support
- New release 2.8.0

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.92-1mdk
- New release 2.7.92

* Fri Aug 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.91-2mdk
- fix buildrequires

* Wed Aug 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.91-1mdk
- New release 2.7.91

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.90-1mdk
- fix description
- New release 2.7.90

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.4-1mdk
- initial package

